package	jp.co.sds_corp.hibiya.threshold;

import jp.co.sds_corp.util.config.IConfiguration;

/**
* Thresholdの基底クラスです。
*/
public abstract class AbstractThreshold implements IThreshold
{
	private static final long serialVersionUID = 1L;
	String	message;	// 処理メッセージ

	/**
	* 設定情報で初期化します。
	* @param	config	設定情報
	*/
	public void init( IConfiguration config ) throws Exception {
	}

	/**
	* 処理メッセージを設定します。
	* @param	var		設定するデータ
	*/
	public void setMessage( String var ) {
		this.message = var;
	}
	/**
	* 処理メッセージを取得します。
	* @return	処理メッセージ
	*/
	public String getMessage() {
		return message;
	}


	/**
	* 設定されている内容をXML形式で出力します。
	* @param    config  設定情報
	*/
	public void saveConfig( IConfiguration config ) {
		config.setAttribute( "class", getClass().getName() );
	}

}
